%define libxml2_version 2.4.12
%define glib2_version 2.10.0

Summary: A process-transparent configuration system
Name: GConf2-dbus
Version: 2.16.0
Release: 16%{?dist}
License: LGPL
Group: System Environment/Base
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/GConf/GConf-dbus-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://www.gnome.org
Requires: glib2 >= %{glib2_version}

BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gtk2-devel
BuildRequires: gtk-doc >= 0.9
BuildRequires: pkgconfig >= 0.14
BuildRequires: gettext
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: popt-devel

#commented out for devel branch
#Provides: GConf2 = 2.24.0-1
#Obsoletes: GConf2 <= 2.24.0-1

%description
GConf is a process-transparent configuration database API used to 
store user preferences. It has pluggable backends and features to 
support workgroup administration.

%package devel
Summary: Headers and libraries for GConf development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libxml2-devel >= %{libxml2_version}
Requires: dbus-devel 
Requires: dbus-glib-devel
Requires: glib2-devel >= %{glib2_version}
Requires: pkgconfig


%description devel
GConf development package. Contains files needed for doing
development using GConf.

%prep
%setup -q -n GConf-dbus-%{version}

%build
%configure --enable-gtk-doc
make %{?_smp_mflags}

%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

chmod 755 $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/gconf.xml.defaults
chmod 755 $RPM_BUILD_ROOT/%{_sysconfdir}/gconf/gconf.xml.mandatory

rm -f $RPM_BUILD_ROOT/%{_libdir}/GConf-dbus/2/libgconfbackend-xml.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/GConf-dbus/2/libgconfbackend-oldxml.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/GConf-dbus/2/libgconfbackend-evoldap.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/GConf-dbus/2/*.la

%find_lang GConf2 

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f GConf2.lang
%defattr(-, root, root, -)
%doc COPYING ChangeLog NEWS README backends/README.evoldap
%config(noreplace) %{_sysconfdir}/gconf/2/path
%dir %{_sysconfdir}/gconf
%dir %{_sysconfdir}/gconf/2
%dir %{_sysconfdir}/gconf/gconf.xml.defaults
%dir %{_sysconfdir}/gconf/gconf.xml.mandatory
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/*.so.*
%{_libdir}/GConf-dbus/2/*.so
%{_datadir}/sgml/gconf
%{_datadir}/dbus-1/services/gconf.service
%{_mandir}/man1/*
%dir %{_libdir}/GConf-dbus
%dir %{_libdir}/GConf-dbus/2

%files devel
%defattr(-, root, root, -)
%{_libdir}/*.so
%{_includedir}/gconf
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*
%doc %{_datadir}/gtk-doc/html/gconf

%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.16.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb  4 2009  Marco Pesenti Gritti <mpg@redhat.com> - 2.16.0-15
- Do not rerun libtoolize and autoheader

* Wed Feb  4 2009  Marco Pesenti Gritti <mpg@redhat.com> - 2.16.0-14
- Rebuild

* Tue Aug 14 2007  John (J5) Palmieri  <johnp@redhat.com> - 2.16.0-13
- don't compile with ldap support

* Sat Jun 16 2007  John (J5) Palmieri  <johnp@redhat.com> - 2.16.0-12
- add a version to the GConf2 provides and obsoletes
 
* Fri Jun 15 2007  John (J5) Palmieri  <johnp@redhat.com> - 2.16.0-11
- fix up ChangeLog
- remove Req on /sbin/install-info
- add release to buildroot and devel requires
- own /etc/gconf
- add /usr/share/gtk-doc/html/gconf as a doc dir
 
* Wed May 23 2007  John (J5) Palmieri  <johnp@redhat.com> - 2.16.0-10
- Obsolete GConf2

* Wed May 23 2007  John (J5) Palmieri  <johnp@redhat.com> - 2.16.0-9
- new GConf2-dbus package cloned from GConf2 

